int PIN = 10; // 内蔵LED
int PWM_CH = 1; // 0~3で指定する。0にすると高音が鳴って耳障り?

void setup() {
  pinMode(PIN, OUTPUT); // PINのモード設定
  ledcSetup(PWM_CH, 90, 8); // CH, 周波数(Hz) 【 90Hz より、小さくするとどうなる？】 , 分解能(bit)
  ledcAttachPin(PIN, PWM_CH);
  // https://lang-ship.com/reference/unofficial/M5StickC/Peripherals/LED_Control/
}

void loop() {
  int i;

  for (int i = 0 ; i < 256 ; i++) {
    ledcWrite(PWM_CH, i);
    delay( 5 );
  }
  for (int i = 256 ; i > 0 ; i--) {
    ledcWrite(PWM_CH, i);
    delay( 5 );
  }
}